package com.goldenwater.slgc.mapper.pms;

import com.goldenwater.slgc.entity.pms.PmsAccessory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface PmsAccessoryMapper {
    /**
     * 查询附件列表
     */
    List<PmsAccessory> selectList(PmsAccessory accessory);

    /**
     * 根据主键查询附件
     */
    PmsAccessory selectById(Long id);

    /**
     * 新增附件
     */
    int insert(PmsAccessory accessory);

    /**
     * 修改附件
     */
    int update(PmsAccessory accessory);

    /**
     * 删除附件
     */
    int deleteById(Long id);

    /**
     * 批量删除附件
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据父ID查询附件列表
     */
    List<PmsAccessory> selectByParentId(Long parentId);

    /**
     * 更新排序
     */
    int updateSeq(@Param("id") Long id, @Param("seq") Long seq);

    /**
     * 更新附件关联的会议ID
     */
    int updateMtId(@Param("id") Long id, @Param("mtId") Long mtId);
}
